Skip to main content
`Ctrl`+`K`

# PCPARMSSetNonsymPerm

Sets the type of permutation for the ARMS preconditioner: the standard symmetric ARMS or the non-symmetric ARMS (ARMS-ddPQ).

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCPARMSSetNonsymPerm(PC pc, PetscBool nonsym)

Collective

## Input Parameters

- pc - the preconditioner context

- nonsym - `PETSC_TRUE` indicates the non-symmetric ARMS is used; `PETSC_FALSE` indicates the symmetric ARMS is used

## Options Database Key

- -pc_parms_nonsymmetric_perm - sets the use of nonsymmetric permutation

## Note

See the pARMS function `parms_PCSetPermType()` for more information.

## See Also

KSP: Linear System Solvers, `PCPARMS`

## Level

intermediate

## Location

src/ksp/pc/impls/parms/parms.c

## Implementations

PCPARMSSetNonsymPerm_PARMS() in src/ksp/pc/impls/parms/parms.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages